package com.hai.service;

import com.hai.entity.HighDiscountPackageDeliver;
import com.hai.entity.HighDiscountPackageDeliverUser;

/**
 * 卷包服务赠送任务记录
 */
public interface HighDiscountPackageDeliverService {

    /**
     * 插入赠送任务记录
     * @param discountPackageDeliver
     */
    void insertDeliver(HighDiscountPackageDeliver discountPackageDeliver);

    /**
     * 修改赠送任务记录
     * @param discountPackageDeliver
     */
    void updateDeliver(HighDiscountPackageDeliver discountPackageDeliver);

    /**
     * 根据包id查询处理中的任务
     * @param packageId
     * @return
     */
    HighDiscountPackageDeliver getHandleByPackageId(Long packageId);

    /**
     * 插入赠送用户记录
     * @param discountPackageDeliverUser
     */
    void insertDeliverUser(HighDiscountPackageDeliverUser discountPackageDeliverUser);

}
